Package it.ernytech.tdlib

## Class TdApi.UpdateRecentStickers

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateRecentStickers

Enclosing class:
  TdApi

    public static class TdApi.UpdateRecentStickers
    extends TdApi.Update

The list of recently used stickers was updated.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isAttached` True, if the list of stickers attached to photo or video files was updated, otherwise the list of sent stickers is updated.
`int[]` `stickerIds` The new list of file identifiers of recently used stickers.

### Constructor Summary

Constructors
`UpdateRecentStickers()` Default constructor.
`UpdateRecentStickers​(boolean isAttached, int[] stickerIds)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### isAttached

    public boolean isAttached

True, if the list of stickers attached to photo or video files was updated, otherwise the list of sent stickers is updated.

#### stickerIds

    public int[] stickerIds

The new list of file identifiers of recently used stickers.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateRecentStickers

    public UpdateRecentStickers()

Default constructor.

#### UpdateRecentStickers

    public UpdateRecentStickers​(boolean isAttached,
                                int[] stickerIds)

Constructor for initialization of all fields.

Parameters:
  `isAttached` - True, if the list of stickers attached to photo or video files was updated, otherwise the list of sent stickers is updated.
  `stickerIds` - The new list of file identifiers of recently used stickers.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR